> This page is for Enterprise.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://citi-demo.ferndocs.com/enterprise/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://citi-demo.ferndocs.com/enterprise/_mcp/server.

# Get Account Balance

POST https://tts.sit.apib2b.citi.com/citiconnect/sit5/accountstatementservices/v3/balance/inquiry
Content-Type: application/json

The balance inquiry endpoint allows users to access account balances intraday or end of day for greater visibility.

Reference: https://citi-demo.ferndocs.com/enterprise/enterprises/api-reference/account-services/balances-api/balances/get-account-balance

## Authentication

- `Authorization` header (bearer token, required) — All CitiConnect APIs use the oAuth2 authentication scheme, which requires a bearer token to authenticate your API call. The Token URL includes the version of authentication used by this API. See the Citi Authentication API reference for information on requesting a token.

## Servers

- `https://tts.sit.apib2b.citi.com/citiconnect/sit5/accountstatementservices` (dev gateway url, default)
- `https://tts.apib2b.citi.com/citiconnect/prod/accountstatementservices` (production gateway url)
- `https://tts.sandbox.apib2b.citi.com/citiconnect/sb/accountstatementservices` (sbox url)

## Request

### Query parameters

- `page_number` (integer, optional) — `page_number` identifies the current page number. You will need to review the response header 'pagination-metadata' and `total_page` property. If `page_number` is greater than 1, then you can make subsequent calls without changing other parameters in the request. The default value of `page_number` is 1.
- `client_id` (string, required) — This is your unique identifier shared during your CitiConnect API onboarding. This is the same `client_id` used for oauth token generation

### Headers

- `Authorization` (string, optional) — The OAuth Token prefixed with "Bearer" and space in between.

### Body (application/json)

This endpoint expects a BalanceRequest.

- `account_identifier` (string, optional) — Identifier of the account as defined by the account service provider. You must include at least 1 account and can specify up to 50 accounts in the `account_identifier` field by comma-seperated values. You must specify either `account_identifier` or `branch_number` in order to receive a successful response. If none of these fields are provided, then the API will return a reject response along with an error message.
- `branch_number` (string, optional) — Branch Number as defined by the account service provider. You can send only one Branch Number in the request. If you send a `branch_number` without an `account_number`, the API returns balances for all accounts belonging to the branch specified in the request. You must specify either `account_identifier` or `branch_number` in order to receive a successful response. If none of these fields are provided, then the API will return a reject response along with an error message.
- `base_currency` (string, optional) — 3-digit currency code for the currency in which the balance needs to be retrieved. You may only one value in this field. If `base_currency` is provided in the request, the API will return balances in the requested currency after applying any applicable FX currency conversations. If `base_currency` is not provided in the request, then the response will return balances in the account's currency.
- `from_date` (string, optional) — Calendar date expressed in YYYY-MM-DD format. Cannot be more than 180 days from the current date. This is defined in "XML Schema Part 2: Datatypes Second Edition - W3C Recommendation 28 October 2004" which is aligned with ISO 8601.
- `to_date` (string, optional) — Calendar date expressed in YYYY-MM-DD format. Cannot be more than 180 days from the current date. This is defined in "XML Schema Part 2: Datatypes Second Edition - W3C Recommendation 28 October 2004" which is aligned with ISO 8601.

## Response

### 200

OK. Returns the requested account details.

- `account_balance` (list of CashAccount, required) — List of all requested accounts balances
- `unavailable_accounts` (list of string, optional) — List of unavailable accounts

## Errors

### 400 Bad Request Error

Bad Request Error

- `ref_id` (string, optional)
- `status` (string, optional)
- `http_code` (integer, optional)
- `errors` (list of BalanceInquiryErrorDetail, optional)
- `moreInformation` (string, optional) — Additional information about the error

### 401 Unauthorized Error

Unauthorized

- `ref_id` (string, optional)
- `status` (string, optional)
- `http_code` (integer, optional)
- `errors` (list of BalanceInquiryErrorDetail, optional)
- `moreInformation` (string, optional) — Additional information about the error

### 403 Forbidden Error

Forbidden

- `ref_id` (string, optional)
- `status` (string, optional)
- `http_code` (integer, optional)
- `errors` (list of BalanceInquiryErrorDetail, optional)
- `moreInformation` (string, optional) — Additional information about the error

### 404 Not Found Error

Not Found

- `ref_id` (string, optional)
- `status` (string, optional)
- `http_code` (integer, optional)
- `errors` (list of BalanceInquiryErrorDetail, optional)
- `moreInformation` (string, optional) — Additional information about the error

### 405 Method Not Allowed Error

Method Not Allowed

- `ref_id` (string, optional)
- `status` (string, optional)
- `http_code` (integer, optional)
- `errors` (list of BalanceInquiryErrorDetail, optional)
- `moreInformation` (string, optional) — Additional information about the error

### 415 Unsupported Media Type Error

Unsupported Media Type

- `ref_id` (string, optional)
- `status` (string, optional)
- `http_code` (integer, optional)
- `errors` (list of BalanceInquiryErrorDetail, optional)
- `moreInformation` (string, optional) — Additional information about the error

### 429 Too Many Requests Error

Too Many Requests

- `ref_id` (string, optional)
- `status` (string, optional)
- `http_code` (integer, optional)
- `errors` (list of BalanceInquiryErrorDetail, optional)
- `moreInformation` (string, optional) — Additional information about the error

### 500 Internal Server Error

Internal Server Error

- `ref_id` (string, optional)
- `status` (string, optional)
- `http_code` (integer, optional)
- `errors` (list of BalanceInquiryErrorDetail, optional)
- `moreInformation` (string, optional) — Additional information about the error

## Types

### CashAccount

Specifies the details of the cash account.

- `account_identification` (string, required) — Identification of the account as defined by the account service provider. It can be in IBAN or proprietary format. RECOMMENDATION IN ORDER OF PREFERENCE: IBAN - When available IBAN must be specified for instance endpoint or hyper link to work. Other - In the absence of IBAN, this must be an unique account identification used for routing of the payment to the account via clearing system. A format which is agreed between the account owner and the account servicer. For example a SWIFT BIC/Branch Code and Account number.
- `name` (string, required) — Specifies a character string with a maximum length of 70characters.
- `currency` (string, required) — The code allocated to a currency by a Maintenance Agency under an international identification scheme as described in the latest edition of the international standard ISO 4217 Codes for the Representation of Currencies and Funds
- `balances` (list of BalancesList3, required)
- `account_servicer` (string, optional) — Code allocated to a financial institution by the ISO 9362 Registration Authority as described in ISO 9362 - 2014 - Banking - Banking telecommunication messages - Business identifier code (BIC)
- `owner_name` (string, optional) — Specifies a character string with a maximum length of 70characters.
- `linked_account` (string, optional) — Specifies a character string with a maximum length of 70characters.
- `status` (string, optional) — Specifies a character string with a maximum length of 35 characters.
- `credit_limit` (ActiveCurrencyAndAmount, optional) — A number of monetary units specified in an active currency where the unit of currency is explicit and compliant with ISO 4217.
- `links` (list of Link, optional)

### BalanceInquiryErrorDetail

- `issue` (string, optional) — more details about the issue
- `action` (string, optional) — corrective action to be taken to resolve above issue

### BalancesList3

List of the balances that can be retrieved on a given account

- `current_balance` (CashCurrentBalance1, required) — 'Individual current balance details on a given cash account.\r\nIt can either be in a balance type of closing booked or interim booked, subject to the agreement between the account servicer and its consumer.\r\n\r\nFor closing booked, it is the balance of the account at the end of the pre-agreed account reporting period. It is the sum of the opening booked balance at the beginning of the period and all entries booked to the account during the pre-agreed account reporting period. \r\n\r\nFor interim booked, it is the balance calculated in the course of the account servicer's business day, at the time specified, and subject to further changes during the business day. The interim balance is calculated on the basis of booked credit and debit items during the calculation time/period specified. '
- `available_balance` (CashAvailableBalance1, optional) — Individual available balance details on a given cash account.\r\nIt can either be in a balance type of closing available or interim available, subject to the agreement between the account servicer and its consumer.\r\n\r\nFor closing available, it is the closing balance of amount of money that is at the disposal of the account owner on the date specified. \r\n\r\nFor interim avaialble, it is the available balance calculated in the course of the account servicer's business day, at the time specified, and subject to further changes during the business day. The interim balance is calculated on the basis of booked credit and debit items during the calculation time/period specified. '
- `forward_available_balance` (list of CashForwardAvailableBalance1, optional) — Provides detailed information of the forward available balance of a specific cash account. Subject to the service provided by the Account Servicer, forward avaialble balance can be presented with multiple times for multiple reference dates.

### ActiveCurrencyAndAmount

A number of monetary units specified in an active currency where the unit of currency is explicit and compliant with ISO 4217.

- `currency` (string, optional) — The code allocated to a currency by a Maintenance Agency under an international identification scheme as described in the latest edition of the international standard ISO 4217 Codes for the Representation of Currencies and Funds
- `amount` (string, optional)

### Link

Contains a generic structure to support hyperlinking (REST level 3).

- `href` (string, required) — Specifies the link as a url. The href member identifies the target IRI location of the resource.
- `rel` (string, optional) — Specifies the operation. The value of this property MUST be a string. This property is required except self. The self reference contains the URI of the same resource.
- `type` (string, optional) — The value containing the HTTP verb used for the URL. If the type element is not included then the link MUST be available using GET.

### CashCurrentBalance1

'Individual current balance details on a given cash account.\r\nIt can either be in a balance type of closing booked or interim booked, subject to the agreement between the account servicer and its consumer.\r\n\r\nFor closing booked, it is the balance of the account at the end of the pre-agreed account reporting period. It is the sum of the opening booked balance at the beginning of the period and all entries booked to the account during the pre-agreed account reporting period. \r\n\r\nFor interim booked, it is the balance calculated in the course of the account servicer's business day, at the time specified, and subject to further changes during the business day. The interim balance is calculated on the basis of booked credit and debit items during the calculation time/period specified. '

- `balance_amount` (AmountAndDirection52, required) — Posting of an item to a cash account, in the context of a cash transaction, that results in an increase or decrease to the balance of the account.
- `balance_type` (enum, required) — Specifies the nature of the balance. *`CLBD_closing_booked`-Balance of the account at the end of the pre-agreed account reporting period. It is the sum of the opening booked balance at the beginning of the period and all entries booked to the account during the pre-agreed account reporting period. *`ITBD_interim_booked`-Balance calculated in the course of the account servicer's business day, at the time specified, and subject to further changes during the business day. The interim balance is calculated on the basis of booked credit and debit items during the calculation time/period specified. *`OPBD_opening_booked`-Book balance of the account at the beginning of the account reporting period. It always equals the closing book balance from the previous report
  - Allowed values: `CLBD`, `ITBD`, `OPBD`
- `last_change_date_time` (string, optional) — an ISODateTime whereby all timezoned dateTime values are UTC.
- `date_time` (string, optional) — an ISODateTime whereby all timezoned dateTime values are UTC.
- `last_committed_transaction_identification` (string, optional) — Specifies a character string with a maximum length of 40 characters.
- `credit_line` (list of CreditLine6, optional) — Provides details on the credit line linked to the account.

### CashAvailableBalance1

Individual available balance details on a given cash account.\r\nIt can either be in a balance type of closing available or interim available, subject to the agreement between the account servicer and its consumer.\r\n\r\nFor closing available, it is the closing balance of amount of money that is at the disposal of the account owner on the date specified. \r\n\r\nFor interim avaialble, it is the available balance calculated in the course of the account servicer's business day, at the time specified, and subject to further changes during the business day. The interim balance is calculated on the basis of booked credit and debit items during the calculation time/period specified. '

- `balance_amount` (AmountAndDirection52, required) — Posting of an item to a cash account, in the context of a cash transaction, that results in an increase or decrease to the balance of the account.
- `balance_type` (enum, required) — Specifies the nature of the balance. *`ITAV_interim_available`-Available balance calculated in the course of the account servicer's business day, at the time specified, and subject to further changes during the business day. The interim balance is calculated on the basis of booked credit and debit items during the calculation time/period specified. *`CLAV_closing_available`-Closing balance of amount of money that is at the disposal of the account owner on the date specified. *`OPAV_opening_available`-Opening balance of amount of money that is at the disposal of the account owner on the date specified.
  - Allowed values: `ITAV`, `CLAV`, `OPAV`
- `availability_date` (string, required) — an ISODateTime whereby all timezoned dateTime values are UTC.

### CashForwardAvailableBalance1

Individual forward available balance details on a given cash account. It is the forward available balance of money that is at the disposal of the account owner on the date specified.

- `balance_amount` (AmountAndDirection52, required) — Posting of an item to a cash account, in the context of a cash transaction, that results in an increase or decrease to the balance of the account.
- `balance_type` (enum, required) — Specifies the nature of the balance. *`FWAV_forward_available`-Forward available balance of money that is at the disposal of the account owner on the date specified.
  - Allowed values: `FWAV`
- `availability_date` (string, optional) — A particular point in the progression of time in a calendar year expressed in the YYYY-MM-DD format. This representation is defined in "XML Schema Part 2: Datatypes Second Edition - W3C Recommendation 28 October 2004" which is aligned with ISO 8601.

### AmountAndDirection52

Posting of an item to a cash account, in the context of a cash transaction, that results in an increase or decrease to the balance of the account.

- `amount` (ActiveCurrencyAndAmount, required) — A number of monetary units specified in an active currency where the unit of currency is explicit and compliant with ISO 4217.
- `credit_debit_indicator` (enum, required) — Specifies if an operation is an increase or a decrease. *`CRDT_credit`-Operation is an increase. *`DBIT_debit`-Operation is a decrease.
  - Allowed values: `CRDT`, `DBIT`

### CreditLine6

Specifies the details of a credit line.

- `included` (boolean, required) — Indicates whether or not the credit line is included in the balance.
- `type` (string, optional) — Specifies a character string with a maximum length of 35 characters.
- `amount` (ActiveCurrencyAndAmount, optional) — A number of monetary units specified in an active currency where the unit of currency is explicit and compliant with ISO 4217.

## Examples

### getAccountBalance_example (application/json)

**Request**

```json
{
  "account_identifier": "12345678,23456789",
  "branch_number": "600",
  "base_currency": "USD",
  "from_date": "2020-08-30",
  "to_date": "2020-10-25"
}
```

**Response**

```json
{
  "account_balance": [
    {
      "account_identification": "123456",
      "name": "AccountNameABC",
      "currency": "USD",
      "balances": [
        {
          "current_balance": {
            "balance_amount": {
              "amount": {
                "currency": "USD",
                "amount": "1000"
              },
              "credit_debit_indicator": "CRDT"
            },
            "balance_type": "CLBD",
            "date_time": "2020-10-10"
          },
          "available_balance": {
            "balance_amount": {
              "amount": {
                "currency": "USD",
                "amount": "1000"
              },
              "credit_debit_indicator": "CRDT"
            },
            "balance_type": "ITAV",
            "availability_date": "2020-10-10"
          }
        },
        {
          "current_balance": {
            "balance_amount": {
              "amount": {
                "currency": "USD",
                "amount": "1000"
              },
              "credit_debit_indicator": "CRDT"
            },
            "balance_type": "CLBD",
            "date_time": "2020-10-12"
          },
          "available_balance": {
            "balance_amount": {
              "amount": {
                "currency": "USD",
                "amount": "1000"
              },
              "credit_debit_indicator": "CRDT"
            },
            "balance_type": "CLAV",
            "availability_date": "2020-10-12"
          }
        }
      ],
      "account_servicer": "CITIUS33",
      "owner_name": "ClientNameABC",
      "status": "Open"
    },
    {
      "account_identification": "123456",
      "name": "AccountNameABC",
      "currency": "USD",
      "balances": [
        {
          "current_balance": {
            "balance_amount": {
              "amount": {
                "currency": "USD",
                "amount": "1000"
              },
              "credit_debit_indicator": "CRDT"
            },
            "balance_type": "CLBD",
            "date_time": "2020-10-10"
          },
          "available_balance": {
            "balance_amount": {
              "amount": {
                "currency": "USD",
                "amount": "1000"
              },
              "credit_debit_indicator": "CRDT"
            },
            "balance_type": "CLAV",
            "availability_date": "2020-10-10"
          }
        }
      ],
      "account_servicer": "CITIUS33",
      "owner_name": "ClientNameABC",
      "status": "Open"
    }
  ],
  "unavailable_accounts": [
    "12345",
    "547886",
    "586585"
  ]
}
```

**SDK Code**

```python getAccountBalance_example (application/json)
import requests

url = "https://tts.sit.apib2b.citi.com/citiconnect/sit5/accountstatementservices/v3/balance/inquiry"

payload = {
    "account_identifier": "12345678,23456789",
    "branch_number": "600",
    "base_currency": "USD",
    "from_date": "2020-08-30",
    "to_date": "2020-10-25"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript getAccountBalance_example (application/json)
const url = 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/accountstatementservices/v3/balance/inquiry';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"account_identifier":"12345678,23456789","branch_number":"600","base_currency":"USD","from_date":"2020-08-30","to_date":"2020-10-25"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go getAccountBalance_example (application/json)
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://tts.sit.apib2b.citi.com/citiconnect/sit5/accountstatementservices/v3/balance/inquiry"

	payload := strings.NewReader("{\n  \"account_identifier\": \"12345678,23456789\",\n  \"branch_number\": \"600\",\n  \"base_currency\": \"USD\",\n  \"from_date\": \"2020-08-30\",\n  \"to_date\": \"2020-10-25\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby getAccountBalance_example (application/json)
require 'uri'
require 'net/http'

url = URI("https://tts.sit.apib2b.citi.com/citiconnect/sit5/accountstatementservices/v3/balance/inquiry")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"account_identifier\": \"12345678,23456789\",\n  \"branch_number\": \"600\",\n  \"base_currency\": \"USD\",\n  \"from_date\": \"2020-08-30\",\n  \"to_date\": \"2020-10-25\"\n}"

response = http.request(request)
puts response.read_body
```

```java getAccountBalance_example (application/json)
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://tts.sit.apib2b.citi.com/citiconnect/sit5/accountstatementservices/v3/balance/inquiry")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"account_identifier\": \"12345678,23456789\",\n  \"branch_number\": \"600\",\n  \"base_currency\": \"USD\",\n  \"from_date\": \"2020-08-30\",\n  \"to_date\": \"2020-10-25\"\n}")
  .asString();
```

```php getAccountBalance_example (application/json)
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/accountstatementservices/v3/balance/inquiry', [
  'body' => '{
  "account_identifier": "12345678,23456789",
  "branch_number": "600",
  "base_currency": "USD",
  "from_date": "2020-08-30",
  "to_date": "2020-10-25"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp getAccountBalance_example (application/json)
using RestSharp;

var client = new RestClient("https://tts.sit.apib2b.citi.com/citiconnect/sit5/accountstatementservices/v3/balance/inquiry");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"account_identifier\": \"12345678,23456789\",\n  \"branch_number\": \"600\",\n  \"base_currency\": \"USD\",\n  \"from_date\": \"2020-08-30\",\n  \"to_date\": \"2020-10-25\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift getAccountBalance_example (application/json)
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "account_identifier": "12345678,23456789",
  "branch_number": "600",
  "base_currency": "USD",
  "from_date": "2020-08-30",
  "to_date": "2020-10-25"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://tts.sit.apib2b.citi.com/citiconnect/sit5/accountstatementservices/v3/balance/inquiry")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### getAccountBalance_example (application/xml)

**Request**

```json
{}
```

**Response**

```json
"<Document xmlns=\"urn:iso:std:iso:20022:tech:xsd:camt.052.001.02\" xmlns:soapenv=\"http://schemas.xmlsoap.org/soap/envelope/\"><BkToCstmrAcctRpt><GrpHdr><MsgId>CITIBANK/20220308-PSR/1438472181</MsgId><CreDtTm>2022-03-08T01:07:59</CreDtTm><MsgRcpt><Nm>1234567 890X XXXXXX XXX</Nm><Id><OrgId><Othr><Id>1234567890</Id></Othr></OrgId></Id></MsgRcpt></GrpHdr><Rpt><Id>10012262</Id><CreDtTm>2022-03-08T01:07:59</CreDtTm><Acct><Id><Othr><Id>GB27CITI12345678912345</Id></Othr></Id><Ccy>USD</Ccy><Nm>8010012 262X XXXXXX XXX</Nm><Ownr><Nm>8010012 262X XXXXXX XXX</Nm></Ownr><Svcr><FinInstnId/><BrnchId><Id>600</Id><Nm>CITIBANK NA LONDON</Nm></BrnchId></Svcr></Acct><Bal><Tp><CdOrPrtry><Cd>OPBD</Cd></CdOrPrtry></Tp><Amt Ccy=\"USD\">-7098.38</Amt><CdtDbtInd>DBIT</CdtDbtInd><Dt><DtTm>2022-01-24T00:00:00</DtTm></Dt></Bal><Bal><Tp><CdOrPrtry><Cd>CLBD</Cd></CdOrPrtry></Tp><Amt Ccy=\"USD\">-7098.38</Amt><CdtDbtInd>DBIT</CdtDbtInd><Dt><DtTm>2022-01-24T00:00:00</DtTm></Dt></Bal><Bal><Tp><CdOrPrtry><Cd>OPAV</Cd></CdOrPrtry></Tp><Amt Ccy=\"USD\">-3099.38</Amt><CdtDbtInd>DBIT</CdtDbtInd><Dt><DtTm>2022-01-24T00:00:00</DtTm></Dt></Bal><Bal><Tp><CdOrPrtry><Cd>CLAV</Cd></CdOrPrtry></Tp><Amt Ccy=\"USD\">-3099.38</Amt><CdtDbtInd>DBIT</CdtDbtInd><Dt><DtTm>2022-01-24T00:00:00</DtTm></Dt></Bal><Bal><Tp><CdOrPrtry><Cd>OPBD</Cd></CdOrPrtry></Tp><Amt Ccy=\"USD\">-7098.38</Amt><CdtDbtInd>DBIT</CdtDbtInd><Dt><DtTm>2022-02-01T00:00:</DtTm></Dt></Bal><Bal><Tp><CdOrPrtry><Cd>CLBD</Cd></CdOrPrtry></Tp><Amt Ccy=\"USD\">-7091.38</Amt><CdtDbtInd>DBIT</CdtDbtInd><Dt><DtTm>2022-02-01T00:00:00</DtTm></Dt></Bal><Bal><Tp><CdOrPrtry><Cd>OPAV</Cd></CdOrPrtry></Tp><Amt Ccy=\"USD\">-3099.38</Amt><CdtDbtInd>DBIT</CdtDbtInd><Dt><DtTm>2022-02-01T00:00:00</DtTm></Dt></Bal><Bal><Tp><CdOrPrtry><Cd>CLAV</Cd></CdOrPrtry></Tp><Amt Ccy=\"USD\">-3099.38</Amt><CdtDbtInd>DBIT</CdtDbtInd><Dt><DtTm>2022-02-01T00:00:00</DtTm></Dt></Bal><Bal><Tp><CdOrPrtry><Cd>OPBD</Cd></CdOrPrtry></Tp><Amt Ccy=\"USD\">-7098.38</Amt><CdtDbtInd>DBIT</CdtDbtInd><Dt><DtTm>2022-02-02T00:00:00</DtTm></Dt></Bal><Bal><Tp><CdOrPrtry><Cd>CLBD</Cd></CdOrPrtry></Tp><Amt Ccy=\"USD\">-7098.38</Amt><CdtDbtInd>DBIT</CdtDbtInd><Dt><DtTm>2022-02-02T00:00:00</DtTm></Dt></Bal><Bal><Tp><CdOrPrtry><Cd>OPAV</Cd></CdOrPrtry></Tp><Amt Ccy=\"USD\">-3099.38</Amt><CdtDbtInd>DBIT</CdtDbtInd><Dt><DtTm>2022-02-02T00:00:00</DtTm></Dt></Bal><Bal><Tp><CdOrPrtry><Cd>CLAV</Cd></CdOrPrtry></Tp><Amt Ccy=\"USD\">-3099.38</Amt><CdtDbtInd>DBIT</CdtDbtInd><Dt><DtTm>2022-02-02T00:00:00</DtTm></Dt></Bal><TxsSummry><TtlNtries><TtlNetNtryAmt>7.00</TtlNetNtryAmt></TtlNtries><TtlCdtNtries><NbOfNtries>26</NbOfNtries><Sum>26.00</Sum></TtlCdtNtries><TtlDbtNtries><NbOfNtries>19</NbOfNtries><Sum>19.00</Sum></TtlDbtNtries></TxsSummry></Rpt></BkToCstmrAcctRpt></Document>"
```

**SDK Code**

```python getAccountBalance_example (application/xml)
import requests

url = "https://tts.sit.apib2b.citi.com/citiconnect/sit5/accountstatementservices/v3/balance/inquiry"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript getAccountBalance_example (application/xml)
const url = 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/accountstatementservices/v3/balance/inquiry';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go getAccountBalance_example (application/xml)
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://tts.sit.apib2b.citi.com/citiconnect/sit5/accountstatementservices/v3/balance/inquiry"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby getAccountBalance_example (application/xml)
require 'uri'
require 'net/http'

url = URI("https://tts.sit.apib2b.citi.com/citiconnect/sit5/accountstatementservices/v3/balance/inquiry")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java getAccountBalance_example (application/xml)
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://tts.sit.apib2b.citi.com/citiconnect/sit5/accountstatementservices/v3/balance/inquiry")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php getAccountBalance_example (application/xml)
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://tts.sit.apib2b.citi.com/citiconnect/sit5/accountstatementservices/v3/balance/inquiry', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp getAccountBalance_example (application/xml)
using RestSharp;

var client = new RestClient("https://tts.sit.apib2b.citi.com/citiconnect/sit5/accountstatementservices/v3/balance/inquiry");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift getAccountBalance_example (application/xml)
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://tts.sit.apib2b.citi.com/citiconnect/sit5/accountstatementservices/v3/balance/inquiry")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```